Index: trunk/SophyaProg/PrgMap/Makefile
===================================================================
--- trunk/SophyaProg/PrgMap/Makefile	(revision 2735)
+++ trunk/SophyaProg/PrgMap/Makefile	(revision 2743)
@@ -1,388 +1,389 @@
-MODULECXXREPNAME :=  PrgMap
-include ../Mgr/Makefile.h
- 
-ifdef NOSHLIB
-LIBF =  $(LIB)libFitsIOServer.a $(LIB)libSamba.a $(LIB)libSkyMap.a $(LIB)libSkyT.a $(LIB)libNTools.a $(LIB)libHiStats.a $(LIB)libTArray.a $(LIB)libSysTools.a 
-LIBS = -L$(LIB) -lFitsIOServer -lSamba -lSkyMap -lSkyT -lNTools -lHiStats -lTArray -lSysTools -lm
-ifeq ($(CXX),cxx)
-# librairie des instances de templates cxx
-LIBS := $(LIBS) -lertcxx
-endif
-else
-LIBF =  $(SLB)libsophya.so $(SLB)libextsophya.so
-LIBS = -L$(SLB) -lsophya -lextsophya  -lm
-endif
-LIBSORA := $(LIBS)
-LDLIBS := $(LIBS) $(LDLIBS)
-PROGS = $(EXE)cl2map $(EXE)map2cl $(EXE)prjsmap $(EXE)cremskfrsph \
-         $(EXE)msksphere $(EXE)extrapsph $(EXE)extrap2sph
-
-PROBJS = $(OBJ)cl2map.o $(OBJ)map2cl.o $(OBJ)prjsmap.o \
-         $(OBJ)cremskfrsph.o $(OBJ)msksphere.o \
-         $(OBJ)extrapsph.o $(OBJ)extrap2sph.o
-
+include ../BuildMgr/sophyamake.inc
+ 
+PROGS = $(SOPHYAEXEP)cl2map $(SOPHYAEXEP)map2cl $(SOPHYAEXEP)prjsmap $(SOPHYAEXEP)cremskfrsph $(SOPHYAEXEP)extrapsph $(SOPHYAEXEP)extrap2sph
+ 
 all: $(PROGS)
-
+ 
 clean:
 	rm -f $(PROGS)
-	rm -f $(PROBJS)
-	if [ -d $(OBJ)cxxrep_PrgMap ] ; then cd $(OBJ)cxxrep_PrgMap ; rm -f *.o ; fi
-
-cl2map: $(EXE)cl2map
-	@ echo cl2map done
-$(EXE)cl2map: $(OBJ)cl2map.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-
-map2cl: $(EXE)map2cl
-	@ echo map2cl done
-$(EXE)map2cl: $(OBJ)map2cl.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-
-prjsmap: $(EXE)prjsmap
-	@ echo prjsmap done
-$(EXE)prjsmap: $(OBJ)prjsmap.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-
-cremskfrsph: $(EXE)cremskfrsph
-	@ echo cremskfrsph done
-$(EXE)cremskfrsph: $(OBJ)cremskfrsph.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-
-msksphere: $(EXE)msksphere
-	@ echo msksphere done
-$(EXE)msksphere: $(OBJ)msksphere.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-
-extrapsph: $(EXE)extrapsph
-	@ echo extrapsph done
-$(EXE)extrapsph: $(OBJ)extrapsph.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-
-extrap2sph: $(EXE)extrap2sph
-	@ echo extrap2sph done
-$(EXE)extrap2sph: $(OBJ)extrap2sph.o
-	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
-  
-$(OBJ)cl2map.o: cl2map.cc $(INC)machdefs.h \
- $(INC)nbmath.h \
- $(INC)smathconst.h \
- $(INC)timing.h \
- $(INC)array.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)tmatrix.h \
- $(INC)tvector.h \
- $(INC)matharr.h \
- $(INC)fioarr.h \
- $(INC)sopemtx.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)sphericalmap.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiospherehealpix.h \
- $(INC)fiolocalmap.h \
- $(INC)samba.h \
- $(INC)alm.h \
- $(INC)nbrandom.h \
- $(INC)srandgen.h \
- $(INC)triangmtx.h \
- $(INC)bruit.h \
- $(INC)circle.h \
- $(INC)geometry.h \
- $(INC)lambdaBuilder.h \
- $(INC)misstime.h \
- $(INC)mlobe.h \
- $(INC)prefcount.h \
- $(INC)scan.h \
- $(INC)sphericaltransformserver.h \
- $(INC)fftservintf.h \
- $(INC)fftpserver.h \
- $(INC)tod.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h \
- $(INC)fitstarray.h
-$(OBJ)map2cl.o: map2cl.cc $(INC)machdefs.h \
- $(INC)nbmath.h \
- $(INC)smathconst.h \
- $(INC)timing.h \
- $(INC)array.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)tmatrix.h \
- $(INC)tvector.h \
- $(INC)matharr.h \
- $(INC)fioarr.h \
- $(INC)sopemtx.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)sphericalmap.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiospherehealpix.h \
- $(INC)fiolocalmap.h \
- $(INC)samba.h \
- $(INC)alm.h \
- $(INC)nbrandom.h \
- $(INC)srandgen.h \
- $(INC)triangmtx.h \
- $(INC)bruit.h \
- $(INC)circle.h \
- $(INC)geometry.h \
- $(INC)lambdaBuilder.h \
- $(INC)misstime.h \
- $(INC)mlobe.h \
- $(INC)prefcount.h \
- $(INC)scan.h \
- $(INC)sphericaltransformserver.h \
- $(INC)fftservintf.h \
- $(INC)fftpserver.h \
- $(INC)tod.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h \
- $(INC)fitstarray.h
-$(OBJ)prjsmap.o: prjsmap.cc $(INC)machdefs.h \
- $(INC)nbmath.h \
- $(INC)smathconst.h \
- $(INC)timing.h \
- $(INC)array.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)tmatrix.h \
- $(INC)tvector.h \
- $(INC)matharr.h \
- $(INC)fioarr.h \
- $(INC)sopemtx.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)sphericalmap.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiospherehealpix.h \
- $(INC)fiolocalmap.h \
- $(INC)samba.h \
- $(INC)alm.h \
- $(INC)nbrandom.h \
- $(INC)srandgen.h \
- $(INC)triangmtx.h \
- $(INC)bruit.h \
- $(INC)circle.h \
- $(INC)geometry.h \
- $(INC)lambdaBuilder.h \
- $(INC)misstime.h \
- $(INC)mlobe.h \
- $(INC)prefcount.h \
- $(INC)scan.h \
- $(INC)sphericaltransformserver.h \
- $(INC)fftservintf.h \
- $(INC)fftpserver.h \
- $(INC)tod.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h \
- $(INC)fitstarray.h
-$(OBJ)cremskfrsph.o: cremskfrsph.cc \
- $(INC)machdefs.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiospherehealpix.h \
- $(INC)fiolocalmap.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h
-$(OBJ)extrapsph.o: extrapsph.cc \
- $(INC)machdefs.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiospherehealpix.h \
- $(INC)fiolocalmap.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h
-$(OBJ)extrap2sph.o: extrap2sph.cc \
- $(INC)machdefs.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiospherehealpix.h \
- $(INC)fiolocalmap.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h
-$(OBJ)msksphere.o: msksphere.cc \
- $(INC)machdefs.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)spherehealpix.h \
- $(INC)HEALPixUtils.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiospherehealpix.h \
- $(INC)fiolocalmap.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h
+	rm -f $(SOPHYAOBJP)extrap2sph.o $(SOPHYAOBJP)extrapsph.o $(SOPHYAOBJP)cremskfrsph.o $(SOPHYAOBJP)prjsmap.o $(SOPHYAOBJP)map2cl.o $(SOPHYAOBJP)cl2map.o
+ 
+cl2map: $(SOPHYAEXEP)cl2map
+	echo $@ " done"
+$(SOPHYAEXEP)cl2map: $(SOPHYAOBJP)cl2map.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+map2cl: $(SOPHYAEXEP)map2cl
+	echo $@ " done"
+$(SOPHYAEXEP)map2cl: $(SOPHYAOBJP)map2cl.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+prjsmap: $(SOPHYAEXEP)prjsmap
+	echo $@ " done"
+$(SOPHYAEXEP)prjsmap: $(SOPHYAOBJP)prjsmap.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+cremskfrsph: $(SOPHYAEXEP)cremskfrsph
+	echo $@ " done"
+$(SOPHYAEXEP)cremskfrsph: $(SOPHYAOBJP)cremskfrsph.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+extrapsph: $(SOPHYAEXEP)extrapsph
+	echo $@ " done"
+$(SOPHYAEXEP)extrapsph: $(SOPHYAOBJP)extrapsph.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+extrap2sph: $(SOPHYAEXEP)extrap2sph
+	echo $@ " done"
+$(SOPHYAEXEP)extrap2sph: $(SOPHYAOBJP)extrap2sph.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+$(SOPHYAOBJP)cl2map.o: cl2map.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)array.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)samba.h \
+  $(SOPHYAINCP)alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)triangmtx.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)circle.h \
+  $(SOPHYAINCP)geometry.h \
+  $(SOPHYAINCP)lambdaBuilder.h \
+  $(SOPHYAINCP)misstime.h \
+  $(SOPHYAINCP)mlobe.h \
+  $(SOPHYAINCP)prefcount.h \
+  $(SOPHYAINCP)scan.h \
+  $(SOPHYAINCP)sphericaltransformserver.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)tod.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)cremskfrsph.o: cremskfrsph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)extrap2sph.o: extrap2sph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)extrapsph.o: extrapsph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)map2cl.o: map2cl.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)array.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)samba.h \
+  $(SOPHYAINCP)alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)triangmtx.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)circle.h \
+  $(SOPHYAINCP)geometry.h \
+  $(SOPHYAINCP)lambdaBuilder.h \
+  $(SOPHYAINCP)misstime.h \
+  $(SOPHYAINCP)mlobe.h \
+  $(SOPHYAINCP)prefcount.h \
+  $(SOPHYAINCP)scan.h \
+  $(SOPHYAINCP)sphericaltransformserver.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)tod.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)prjsmap.o: prjsmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)array.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)samba.h \
+  $(SOPHYAINCP)alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)triangmtx.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)circle.h \
+  $(SOPHYAINCP)geometry.h \
+  $(SOPHYAINCP)lambdaBuilder.h \
+  $(SOPHYAINCP)misstime.h \
+  $(SOPHYAINCP)mlobe.h \
+  $(SOPHYAINCP)prefcount.h \
+  $(SOPHYAINCP)scan.h \
+  $(SOPHYAINCP)sphericaltransformserver.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)tod.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h
+	$(CXXCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaProg/PrgMap/smakefile
===================================================================
--- trunk/SophyaProg/PrgMap/smakefile	(revision 2743)
+++ trunk/SophyaProg/PrgMap/smakefile	(revision 2743)
@@ -0,0 +1,389 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+PROGS = $(SOPHYAEXEP)cl2map $(SOPHYAEXEP)map2cl $(SOPHYAEXEP)prjsmap $(SOPHYAEXEP)cremskfrsph $(SOPHYAEXEP)extrapsph $(SOPHYAEXEP)extrap2sph
+ 
+all: $(PROGS)
+ 
+clean:
+	rm -f $(PROGS)
+	rm -f $(SOPHYAOBJP)extrap2sph.o $(SOPHYAOBJP)extrapsph.o $(SOPHYAOBJP)cremskfrsph.o $(SOPHYAOBJP)prjsmap.o $(SOPHYAOBJP)map2cl.o $(SOPHYAOBJP)cl2map.o
+ 
+cl2map: $(SOPHYAEXEP)cl2map
+	echo $@ " done"
+$(SOPHYAEXEP)cl2map: $(SOPHYAOBJP)cl2map.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+map2cl: $(SOPHYAEXEP)map2cl
+	echo $@ " done"
+$(SOPHYAEXEP)map2cl: $(SOPHYAOBJP)map2cl.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+prjsmap: $(SOPHYAEXEP)prjsmap
+	echo $@ " done"
+$(SOPHYAEXEP)prjsmap: $(SOPHYAOBJP)prjsmap.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+cremskfrsph: $(SOPHYAEXEP)cremskfrsph
+	echo $@ " done"
+$(SOPHYAEXEP)cremskfrsph: $(SOPHYAOBJP)cremskfrsph.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+extrapsph: $(SOPHYAEXEP)extrapsph
+	echo $@ " done"
+$(SOPHYAEXEP)extrapsph: $(SOPHYAOBJP)extrapsph.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+extrap2sph: $(SOPHYAEXEP)extrap2sph
+	echo $@ " done"
+$(SOPHYAEXEP)extrap2sph: $(SOPHYAOBJP)extrap2sph.o
+	$(CXXLINK) -o $@ $? $(SOPHYAEXTSLBLIST)
+ 
+$(SOPHYAOBJP)cl2map.o: cl2map.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)array.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)samba.h \
+  $(SOPHYAINCP)alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)triangmtx.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)circle.h \
+  $(SOPHYAINCP)geometry.h \
+  $(SOPHYAINCP)lambdaBuilder.h \
+  $(SOPHYAINCP)misstime.h \
+  $(SOPHYAINCP)mlobe.h \
+  $(SOPHYAINCP)prefcount.h \
+  $(SOPHYAINCP)scan.h \
+  $(SOPHYAINCP)sphericaltransformserver.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)tod.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)cremskfrsph.o: cremskfrsph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)extrap2sph.o: extrap2sph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)extrapsph.o: extrapsph.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)map2cl.o: map2cl.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)array.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)samba.h \
+  $(SOPHYAINCP)alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)triangmtx.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)circle.h \
+  $(SOPHYAINCP)geometry.h \
+  $(SOPHYAINCP)lambdaBuilder.h \
+  $(SOPHYAINCP)misstime.h \
+  $(SOPHYAINCP)mlobe.h \
+  $(SOPHYAINCP)prefcount.h \
+  $(SOPHYAINCP)scan.h \
+  $(SOPHYAINCP)sphericaltransformserver.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)tod.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)prjsmap.o: prjsmap.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h \
+  $(SOPHYAINCP)array.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)matharr.h \
+  $(SOPHYAINCP)fioarr.h \
+  $(SOPHYAINCP)sopemtx.h \
+  $(SOPHYAINCP)skymap.h \
+  $(SOPHYAINCP)spherethetaphi.h \
+  $(SOPHYAINCP)sphericalmap.h \
+  $(SOPHYAINCP)pixelmap.h \
+  $(SOPHYAINCP)spherepos.h \
+  $(SOPHYAINCP)unitvector.h \
+  $(SOPHYAINCP)vector3d.h \
+  $(SOPHYAINCP)longlat.h \
+  $(SOPHYAINCP)utilgeom.h \
+  $(SOPHYAINCP)spherehealpix.h \
+  $(SOPHYAINCP)HEALPixUtils.h \
+  $(SOPHYAINCP)localmap.h \
+  $(SOPHYAINCP)sphereecp.h \
+  $(SOPHYAINCP)fiospherethetaphi.h \
+  $(SOPHYAINCP)fiospherehealpix.h \
+  $(SOPHYAINCP)fiolocalmap.h \
+  $(SOPHYAINCP)fiosphereecp.h \
+  $(SOPHYAINCP)samba.h \
+  $(SOPHYAINCP)alm.h \
+  $(SOPHYAINCP)nbrandom.h \
+  $(SOPHYAINCP)srandgen.h \
+  $(SOPHYAINCP)triangmtx.h \
+  $(SOPHYAINCP)bruit.h \
+  $(SOPHYAINCP)circle.h \
+  $(SOPHYAINCP)geometry.h \
+  $(SOPHYAINCP)lambdaBuilder.h \
+  $(SOPHYAINCP)misstime.h \
+  $(SOPHYAINCP)mlobe.h \
+  $(SOPHYAINCP)prefcount.h \
+  $(SOPHYAINCP)scan.h \
+  $(SOPHYAINCP)sphericaltransformserver.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)fftpserver.h \
+  $(SOPHYAINCP)tod.h \
+  $(SOPHYAINCP)sambainit.h \
+  $(SOPHYAINCP)skymapinit.h \
+  $(SOPHYAINCP)sophyainit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)fitsspherehealpix.h \
+  $(SOPHYAINCP)fitsfile.h \
+  $(SOPHYAINCP)FitsIO/fitsio.h \
+  $(SOPHYAINCP)FitsIO/longnam.h \
+  $(SOPHYAINCP)fitstarray.h
+	$(CXXCOMPILE) -o $@ $<
+ 
